# Maintainer: Antoni Aloy Torrens <aaloytorrens@gmail.com>
pkgname=castor-gtk
_pkgname=castor
pkgver=0.9.0
pkgrel=0
pkgdesc="Graphical browser for Gemini, Gopher and Finger"
url="https://git.sr.ht/~julienxx/castor"
arch=('amd64')
license=("BSD")
source=(
	"0001-do-not-update-caches.patch"
	"$pkgname-$pkgver.tar.gz::https://git.sr.ht/~julienxx/castor/archive/$pkgver.tar.gz"
)

depends=("desktop-file-utils" "libgtk-3-0" "libgdk-pixbuf-2.0-0" "libcairo2" "openssl")
makedepends=("rustc" "cargo" "libgtk-3-dev" "libgdk-pixbuf2.0-dev" "libcairo2-dev" "libssl-dev")

prepare() {
	cd $_pkgname-$pkgver
	patch -p1 < "$srcdir"/*.patch
}

build() {
	cd $_pkgname-$pkgver
	make PREFIX=/usr
}

package() {
	cd $_pkgname-$pkgver
	make DESTDIR="$pkgdir" install
}

sha256sums=('d00de3d6afc3dc0f52d7154eeda827815ee00b0688b65483713d9a1b9384b81d'
            'ed57c92a88e8ebe8db286daad9677ffb99287d164d3193d17f8134bb77de5ae1')
